<?xml version="1.0" encoding="UTF-8"?>

<module name="contrast band equalizer" class="IntensityEqualizer">

    <inputs>
        <input name="inField" type="org.visnow.vn.lib.types.VNRegularField" modifiers="NECESSARY:TRIGGERING">
            <acceptor>
                <param name="NDIMS" value="2"/>
                <param name="AFFINE" value="true"/>
                <param name="DATA_VECLEN" value="1"/>
            </acceptor>
            <acceptor>
                <param name="NDIMS" value="3"/>
                <param name="AFFINE" value="true"/>
                <param name="DATA_VECLEN" value="1"/>
            </acceptor>
        </input>
    </inputs>

    <outputs>
        <output name="outField" type="org.visnow.vn.lib.types.VNRegularField">
            <schema>
                <param name="AFFINE" value="true"/>
            </schema>
        </output>
        <geometryOutput/>
    </outputs>
    
    <parameters>

    </parameters>
</module>
